curl --request POST \
--url https://api.hubapi.com/crm/v3/exports/export/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exportType": "VIEW",
"format": "XLS",
"exportName": "<string>",
"objectProperties": [
"<string>"
],
"associatedObjectType": [
"<string>"
],
"includeLabeledAssociations": true,
"includePrimaryDisplayPropertyForAssociatedObjects": true,
"objectType": "<string>",
"language": "EN",
"exportInternalValuesOptions": [
"NAMES"
],
"overrideAssociatedObjectsPerDefinitionPerRowLimit": true
}
'{
"id": "<string>",
"links": {}
}Begins exporting CRM data for the portal as specified in the request body
curl --request POST \
--url https://api.hubapi.com/crm/v3/exports/export/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exportType": "VIEW",
"format": "XLS",
"exportName": "<string>",
"objectProperties": [
"<string>"
],
"associatedObjectType": [
"<string>"
],
"includeLabeledAssociations": true,
"includePrimaryDisplayPropertyForAssociatedObjects": true,
"objectType": "<string>",
"language": "EN",
"exportInternalValuesOptions": [
"NAMES"
],
"overrideAssociatedObjectsPerDefinitionPerRowLimit": true
}
'{
"id": "<string>",
"links": {}
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
VIEW XLS, XLSX, CSV EN, DE, ES, FR, JA, NL, PT_BR, IT, PL, SV, FI, ZH_TW, DA_DK, NO, KO_KR, TH, ZH_CN NAMES, VALUES Show child attributes
Was this page helpful?